package gongyinglian

import (
	"shylinux.com/x/ice"
	kit "shylinux.com/x/toolkits"

	"shylinux.com/x/enterprise/src/gongyinglian/model"
)

type expense struct {
	Value
	fields string `data:"expense_type,amount,name,info"`
	create string `name:"create expense_type* amount* name info" role:"boss"`
	modify string `name:"modify amount* name info" role:"boss"`
}

func (s expense) Create(m *ice.Message, arg ...string) {
	arg = kit.TransArgKeys(arg, model.EXPENSE_TYPE, model.TYPE)
	s.Value.Create(m, kit.Simple(arg, model.FROM_USER_UID, m.Option(model.USER_UID))...)
}
func (s expense) List(m *ice.Message, arg ...string) {
	if s.checkListRole(m, arg...) {
		s.Value.List(m, arg...)
	}
}

func init() { ice.TeamCtxCmd(expense{}) }

type ExpenseType int

const (
	ExpenseTerm ExpenseType = iota
)

var ExpenseTypeList = map[ExpenseType]string{
	ExpenseTerm: "term",
}

func (s ExpenseType) String() string { return ExpenseTypeList[s] }
