package model

import "shylinux.com/x/mysql-story/src/db"

const (
	UID             = "uid"
	NAME            = "name"
	TYPE            = "type"
	ROLE            = "role"
	TITLE           = "title"
	CONTENT         = "content"
	USER_UID        = "user_uid"
	USER_GROUP_ROLE = "user_group_role"
	GROUP_UID       = "group_uid"
	GROUP_NAME      = "group_name"
	GROUP_TYPE      = "group_type"
	COMPANY_UID     = "company_uid"
	COMPANY_NAME    = "company_name"
	CITY_UID        = "city_uid"
	CITY_NAME       = "city_name"
)

type UserGroup struct {
	db.ModelUserPlace
	GroupUID string `gorm:"type:char(32);index"`
}
type Group struct {
	db.ModelPlace
	CompanyUID string `gorm:"type:char(32);index"`
}
type Company struct {
	db.ModelStreet
}
type Target struct {
	db.ModelContent
	GroupUID string `gorm:"type:char(32);index"`
}

func init() { db.CmdModels("", &UserGroup{}, &Group{}, &Company{}, &Target{}) }
